function [vLabelsCluster,dAcc,mClasses,vAssignments] = PostLabel(oModel,oData)
    if(iscell(oData.labels))
        vNumLabels      = str2num(cell2mat(oData.labels));
    else
        vNumLabels      = oData.labels;
    end
    vUniqueLabels   = unique(vNumLabels);
    iNumberOfLabels = length(vUniqueLabels);
    iNumberOfClusters = size(oModel.G,1);
    iNumberOfPoints = length(vNumLabels); 
    mClasses        = zeros(iNumberOfClusters,iNumberOfLabels);
    vAssignments    = apply_kglvq_2010(oModel,oData.data,1);
    for(k=1:iNumberOfClusters)
        B = zeros(iNumberOfLabels,1);
        for(r=1:iNumberOfLabels)
            B(r) = sum(vNumLabels(find(vAssignments==k))==vUniqueLabels(r));
            mClasses(k,r) = B(r);
        end
    end
    bPostlabeling = false;
    if(bPostlabeling)
        vLabelsCluster = vUniqueLabels(argmax(mClasses'));
    else
        vLabels = oModel.vLabelMapping(oModel.PrototypeLabels);
        if(isnumeric(vLabels))
            vLabelsCluster = vLabels;
        else
            vLabelsCluster = str2num(vLabels);
        end            
    end
    dAcc = sum(vLabelsCluster(vAssignments) == vNumLabels)/iNumberOfPoints;