%%
%% - standard
%%
clear all;
addpath('Kernel/');
sFiles    = [{'wdbc_kng.mat'}];
vNyValues = [0.01];
for(k=1:length(vNyValues))
    for(i=1:length(sFiles))
        sCurrentFile = strcat('Data/',sFiles{i});
        load(sCurrentFile,'-MAT');

        %define kernel
        f=@(x,y)elm_nystroem(x,1e10,y);

        dNyValue = vNyValues(k);
        [vModelResults,vClassifyResults,vT,vM,vS] = crossvalidation_clustering(@kglvq_2010_cv, oSDLN, 10, {2,10,0.01,'nystroem',dNyValue,'sparse_beta',0,'kernel',f,'active',true} );
        
        sResultFile = strcat('Results/',sFiles{i},'_ny_',num2str(dNyValue),'_elm_result.mat'); 
        save(sResultFile,'vModelResults','vClassifyResults','vT','vM','vS');
    end
end
clear all;